
%define llvm_version 13.0.0

Summary:	LLVM/SPIR-V Bi-Directional Translator
Summary(pl.UTF-8):	Dwustronny translator LLVM/SPIR-V
Name:		SPIRV-LLVM-Translator
Version:	13.0.0
Release:	2
License:	University of Illinois/NCSA Open Source License
Group:		Libraries
#Source0Download: https://github.com/KhronosGroup/SPIRV-LLVM-Translator/releases
Source0:	https://github.com/KhronosGroup/SPIRV-LLVM-Translator/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	cbb2be6155fda636dd1e4db09dfb1261
Patch0:		%{name}-OpConstFunctionPointerINTEL.patch
URL:		https://github.com/KhronosGroup/SPIRV-LLVM-Translator/
BuildRequires:	cmake >= 3.3
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	llvm-devel >= %{llvm_version}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	spirv-headers >= 1.5.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LLVM/SPIR-V Bi-Directional Translator - a library and tool for
translation between LLVM IR and SPIR-V.

%description -l pl.UTF-8
Dwustronny translator LLVM/SPIR-V - biblioteka i narzędzie do
tłumaczenia między IR LLVM a SPIR-V.

%package devel
Summary:	Header files for LLVMSPIRVLib library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki LLVMSPIRVLib
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7
Requires:	llvm-devel >= %{llvm_version}

%description devel
Header files for LLVMSPIRVLib library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki LLVMSPIRVLib.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake .. \
	-DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=/usr/include/spirv/unified1

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so.13 $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so.%{version}
ln -s libLLVMSPIRVLib.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so.13
ln -sf libLLVMSPIRVLib.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libLLVMSPIRVLib.so

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md LICENSE.TXT
%attr(755,root,root) %{_libdir}/libLLVMSPIRVLib.so.13.*.*
%ghost %attr(755,root,root) %{_libdir}/libLLVMSPIRVLib.so.13

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libLLVMSPIRVLib.so
%{_includedir}/LLVMSPIRVLib
%{_pkgconfigdir}/LLVMSPIRVLib.pc
%changelog
* Sat Dec 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SPIRV-LLVM-Translator.git;a=log;h=master

* Sat Dec 25 2021 Jakub Bogusz <qboosh@pld-linux.org> d9c3183
- adjust for SPIRV-Headers change (patch from git)

* Sat Dec 25 2021 Jakub Bogusz <qboosh@pld-linux.org> ecab9c5
- added OpConstFunctionPointerINTEL patch, build with SPIRV-Headers 1.5.5; release 2

* Sun Nov 07 2021 Jan Palus <atler@pld-linux.org> 26ee0b6
- up to 13.0.0

* Fri May 14 2021 Jan Palus <atler@pld-linux.org> c2f2816
- macros for %cmake

* Fri May 14 2021 Jan Palus <atler@pld-linux.org> b502ec5
- up to 12.0.0

* Sat Jan 02 2021 Jan Rękorajski <baggins@pld-linux.org> b3bd6b0
- release 2 (by relup.sh)

* Fri Oct 16 2020 Jan Palus <atler@pld-linux.org> 2c79975
- up to 11.0.0

* Fri Apr 03 2020 Jan Palus <atler@pld-linux.org> bbd8a7e
- up to 10.0.0

* Sun Mar 15 2020 Jakub Bogusz <qboosh@pld-linux.org> 7d626e4
- updated to 9.0.1-1 (llvm 9.0.1)

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> 8284268
- up to 9.0.0

* Sat Sep 07 2019 Jan Palus <atler@pld-linux.org> 5b11998
- up to 8.0.1 (update 2)

* Mon Jul 01 2019 Jacek Konieczny <j.konieczny@eggsoft.pl> d4711bf
- new package

